static const char help_str[] = {
  "Usage: %s [options]\n\n"
  "Startup: \n"
  "  -c, --config CONFIGFILE\tRead CONFIGFILE as the configuration file\n"
  "                         \tDefault CONFIGFILE is ~/.config/sketchybar/sketchybarrc\n\n"
  "Set global bar properties, see https://felixkratz.github.io/SketchyBar/config/bar\n"
  "      --bar <setting>=<value> ... <setting>=<value>\n\n"
  "Items and their properties, see https://felixkratz.github.io/SketchyBar/config/items\n"
  "      --add item <name> <position>\tAdd item to bar\n"
  "      --set <name> <property>=<value> ... <property>=<value>\n"
  "                                  \tChange item properties\n"
  "      --default <property>=<value> ... <property>=<value>\n"
  "                                  \tChange default properties for new items\n"
  "      --set <name> popup.<popup_property>=<value>\n"
  "                                  \tConfigure item popup menu\n"
  "                                  \tSee https://felixkratz.github.io/SketchyBar/config/popups\n"
  "      --reorder <name> ... <name> \tReorder items\n"
  "      --move <name> before <reference name>\n"
  "      --move <name> after <reference name>\n"
  "                                  \tMove item relative to reference item\n"
  "      --clone <parent name> <name> [optional: before/after]\n"
  "                                  \tClone parent to create new item\n"
  "      --rename <old name> <new name>\tRename item\n"
  "      --remove <name>             \tRemove item\n\n"
  "Special components, see https://felixkratz.github.io/SketchyBar/config/components\n"
  "      --add graph <name> <position> <width in points>\n"
  "                                  \tAdd graph component\n"
  "      --push <name> <data point> ... <data point>\n"
  "                                  \tPush data points to a graph\n"
  "      --add space <name> <position>\tAdd space component\n"
  "      --add bracket <name> <member name> ... <member name>\n"
  "                                  \tAdd bracket component\n"
  "      --add alias <application_name> <position>\n"
  "                                  \tAdd alias component\n"
  "      --add slider <name> <position> <width>\n"
  "                                  \tAdd slider component\n\n"
  "Events and Scripting, see https://felixkratz.github.io/SketchyBar/config/events\n"
  "      --subscribe <name> <event> ... <event>\n"
  "                                  \tSubscribe to events\n"
  "      --add event <name> [optional: <NSDistributedNotificationName>]\n"
  "                                  \tCreate custom event\n"
  "      --trigger <event> [optional: <envvar>=<value> ... <envvar>=<value>]\n"
  "                                  \tTrigger custom event\n\n"
  "Querying information, see https://felixkratz.github.io/SketchyBar/config/querying\n"
  "      --query bar               \tQuery bar properties\n"
  "      --query <name>            \tQuery item properties\n"
  "      --query defaults          \tQuery default properties\n"
  "      --query events            \tQuery events\n"
  "      --query default_menu_items\tQuery names of available items for aliases\n\n"
  "Animations, see https://felixkratz.github.io/SketchyBar/config/animations\n"
  "      --animate <linear|quadratic|tanh|sin|exp|circ> <duration> \\\n"
  "                --bar <property=value> ... <property=value>\\\n"
  "                --set <name> <property=value> ... <property=value>\n"
  "                         \tAnimate from given source to target property values\n\n"
  "Reloading the config\n"
  "      --hotload <boolean>        \tEnable or disable the config hotloader\n"
  "      --reload [optional: <path>]\tReload the current or the given config\n\n"
};
